using System.ComponentModel.DataAnnotations;
using WebVentaCoche.Enums;

namespace WebVentaCoche.ViewModels
{
    public class UserViewModel
    {
        [Required]
        public string Id { get; set; } = null!;

        [Required]
        [Display(Name = "Nombre")]
        public string Name { get; set; } = null!;

        [Required]
        [Display(Name = "Apellidos")]
        public string Surname { get; set; } = null!;

        [Required]
        [EmailAddress]
        public string Email { get; set; } = null!;

        [Phone]
        [Display(Name = "Teléfono")]
        public string? PhoneNumber { get; set; }

        [Required]
        [Display(Name = "Tipo de Usuario")]
        public UserType UserType { get; set; }
    }
}
